summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorLars Wirzenius <liw@liw.fi>2011-08-25 16:18:45 +0100
committerLars Wirzenius <liw@liw.fi>2011-08-25 16:18:45 +0100
commit537bdab7c62a53b4753f3e208d48c80f660e9c9a (patch)
treec7e74051712c8250977a002272e850effcb0c267 /tests
parent85a9df7d3cf6449ad231de2e4812c680fb6c2487 (diff)
downloadsummain-537bdab7c62a53b4753f3e208d48c80f660e9c9a.tar.gz
Add test case for directory with empty file.
Diffstat (limited to 'tests')
-rwxr-xr-xtests/empty.script8
-rw-r--r--tests/empty.stdout14
2 files changed, 22 insertions, 0 deletions
diff --git a/tests/empty.script b/tests/empty.script
new file mode 100755
index 0000000..cdf3a8a
--- /dev/null
+++ b/tests/empty.script
@@ -0,0 +1,8 @@
+#!/bin/sh
+
+set -e
+
+touch "$DATADIR/empty"
+chmod 0700 "$DATADIR/empty"
+$COMMAND --exclude=mtime --exclude=uid --exclude=username \
+ --exclude=gid --exclude=group --relative "$DATADIR"
diff --git a/tests/empty.stdout b/tests/empty.stdout
new file mode 100644
index 0000000..e2db22c
--- /dev/null
+++ b/tests/empty.stdout
@@ -0,0 +1,14 @@
+Name: .
+Mode: 40775
+Ino: 1
+Dev: 1
+Nlink: 2
+
+Name: empty
+Mode: 100700
+Ino: 2
+Dev: 1
+Nlink: 1
+Size: 0
+SHA1: da39a3ee5e6b4b0d3255bfef95601890afd80709
+